//========================================================= file = misc.c =====
//=  Miscellaneous for VOQ switch simulation model                            =
//=============================================================================
//=  Notes: 1)                                                                =
//=---------------------------------------------------------------------------=
//=  Contains: run_sim() - status reporter to stdout                          =
//=---------------------------------------------------------------------------=
//=  History:  KJC (01/26/02) - Genesis                                       =
//=============================================================================
#define EXTERNAL        // This is an external file (used in common.h)

//----- Include files ---------------------------------------------------------
#include <stdio.h>      // Needed for printf()
#include "csim.h"       // Needed for CSIM
#include "common.h"     // Needed for common stuff

//=============================================================================
//= Function to hold for run_time and output progress status to stdout        =
//=============================================================================
void run_sim(double run_time, int run_num)
{
  int      num_inc;     // Number of increments
  int      i;           // Loop counter

  // Initialize the number of increments
  num_inc = 10;

  // Loop to hold for sim_time and output progress status
  printf("Run #%3ld for %8.2f ms -- Status = ", run_num, run_time);
  for (i=1; i<=num_inc; i++)
  {
    hold(run_time / num_inc);
    printf("%ld ", (i * num_inc));
  }
  printf("\n");
}
